dsdp5.h File Reference

The API to DSDP for those applications using DSDP as a subroutine library. More...

Go to the source code of this file.

## Typedefs

typedef struct BCone_C * | BCone
| The BCone object points to lower and upper bounds on the variable y in (D).
typedef struct LPCone_C * | LPCone
| The LPCone object points to blocks of data that specify linear scalar inequality constraints.
typedef struct SDPCone_C * | SDPCone
| The SDPCone object points to blocks of data that specify semidefinite matrix inequalities.

## Functions

int | DSDPSetDestroyRoutine (DSDP, int(*)(void *), void *)
| Set a routine that will be called during DSDPDestroy().
int | LPConeGetData (LPCone, int, double[], int)
| Get one column (or row) of the LP data.
int | SDPConeCheckStorageFormat (SDPCone, int, char)
| Check validity of parameters.
int | SDPConeSetXMat (SDPCone, int, int)
| Create X matrix.

## Detailed Description

The API to DSDP for those applications using DSDP as a subroutine library.

Definition in file dsdp5.h.

## Typedef Documentation

## BCone

struct BCone_C * BCone

The BCone object points to lower and upper bounds on the variable y in (D).

Definition at line 28 of file dsdp5.h.

## LPCone

struct LPCone_C * LPCone

The LPCone object points to blocks of data that specify linear scalar inequality constraints.

Definition at line 27 of file dsdp5.h.

## SDPCone

struct SDPCone_C * SDPCone

The SDPCone object points to blocks of data that specify semidefinite matrix inequalities.

Definition at line 26 of file dsdp5.h.

## Function Documentation

## DSDPSetDestroyRoutine()

int DSDPSetDestroyRoutine | ( | DSDP | dsdp,
|  | int(*)(void *) | fd,
|  | void * | ctx
| ) |  |

extern

Set a routine that will be called during DSDPDestroy().

Parameters

  dsdp | the solver
  fd | function pointer
  ctx | pointer to structure.

See also
  DSDPDestroy()

Definition at line 469 of file dsdpsetup.c.

## LPConeGetData()

int LPConeGetData | ( | LPCone | lpcone,
|  | int | vari,
|  | double | vv[],
|  | int | n
| ) |  |

extern

Get one column (or row) of the LP data.

Parameters

  lpcone | LP cone
  vari | column of data in (D) or row of data in (P).
  vv | array of data
  n | length of array and conic dimension

Definition at line 783 of file dsdplp.c.

## SDPConeCheckStorageFormat()

int SDPConeCheckStorageFormat | ( | SDPCone | sdpcone,
|  | int | blockj,
|  | char | format
| ) |  |

extern

Check validity of parameters.

Parameters

  sdpcone | SDP cone
  blockj | block number
  format | such as packed symmetric or upper full symmetric

Definition at line 101 of file dsdpadddata.c.

Referenced by SDPConeSetRMatrix().

## SDPConeSetXMat()

int SDPConeSetXMat | ( | SDPCone | sdpcone,
|  | int | blockj,
|  | int | n
| ) |  |

extern

Create X matrix.

Parameters

  sdpcone | SDP cone
  blockj | block number j from 0 to nblocks
  n | dimension of the matrix

Definition at line 247 of file dsdpadddata.c.